<template>
  <div class="container mt-5">
    <h3 class="alert alert-primary">
      Demo Libpf
    </h3>
    <p>
      <a
        href="https://getbootstrap.com/docs/5.0/forms/overview/"
        target="_blank"
      >Bootstrap 5 form</a>
    </p>
    <form>
      <legend>
        Root values
      </legend>
      <div>
        id: {{ root.id }}<br>
        tag: {{ root.tag }}<br>
        description: {{ root.description }}<br>
        type: {{ root.fulltag }}<br>
        fulltag: {{ root.uuid }}<br>
        created_at: {{ root.created_at }}<br>
        updated_at: {{ root.updated_at }}<br>
        locked_by: {{ root.locked_by }}<br>
        locked_until: {{ root.locked_until }}<br>
        range: {{ root.range }}<br>
        parent: {{ root.parent }}<br>
        root: {{ root.root }}<br>
      </div>
    </form>
    <legend>Integers</legend>
    <table class="table">
      <thead>
        <tr>
          <th scope="col">
            id
          </th>
          <th scope="col">
            tag
          </th>
          <th scope="col">
            description
          </th>
          <th scope="col">
            value
          </th>
          <th scope="col">
            nid
          </th>
        </tr>
      </thead>
      <tbody>
        <tr
          v-for="index in root.Integer_set"
          :key="index.id"
        >
          <td>
            {{ index.id }}
          </td>
          <td>
            {{ index.tag }}
          </td>
          <td>
            {{ index.description }}
          </td>
          <td>
            {{ index.value }}
          </td>
          <td>
            {{ index.nid }}
          </td>
        </tr>
      </tbody>
    </table>
    <legend>String</legend>
    <table class="table">
      <thead>
        <tr>
          <th scope="col">
            id
          </th>
          <th scope="col">
            tag
          </th>
          <th scope="col">
            description
          </th>
          <th scope="col">
            value
          </th>
          <th scope="col">
            nid
          </th>
        </tr>
      </thead>
      <tbody>
        <tr
          v-for="index in root.String_set"
          :key="index.id"
        >
          <td>
            {{ index.id }}
          </td>
          <td>
            {{ index.tag }}
          </td>
          <td>
            {{ index.description }}
          </td>
          <td>
            {{ index.value }}
          </td>
          <td>
            {{ index.nid }}
          </td>
        </tr>
      </tbody>
    </table>
    <legend>Quantities</legend>
    <table class="table">
      <thead>
        <tr>
          <th scope="col">
            id
          </th>
          <th scope="col">
            tag
          </th>
          <th scope="col">
            description
          </th>
          <th scope="col">
            value
          </th>
          <th scope="col">
            unit
          </th>
          <th scope="col">
            input
          </th>
          <th scope="col">
            output
          </th>
          <th scope="col">
            nid
          </th>
        </tr>
      </thead>
      <tbody>
        <tr
          v-for="index in root.Quantity_set"
          :key="index.id"
        >
          <td>
            {{ index.id }}
          </td>
          <td>
            {{ index.tag }}
          </td>
          <td>
            {{ index.description }}
          </td>
          <td>
            <input
              v-model="index.value"
              type="number"
            ><br><br>
          </td>
          <td>
            {{ index.unit }}
          </td>
          <td>
            {{ index.input }}
          </td>
          <td>
            {{ index.output }}
          </td>
          <td>
            {{ index.nid }}
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</template>
<script>
import root from '../test.json'
export default {
  data () {
    return {
      root
    }
  }
}
</script>
